TulipTulip Docs
Contrats

Récupérer un renouvellement automatique

Ce endpoint permet de récupérer un renouvellement automatique spécifique par son identifiant.

GET
/contracts/{contractId}/automaticRenewal/{arid}
key<token>

In: header

Path Parameters

contractId*string

L'identifiant unique du contrat

arid*string

L'identifiant unique du renouvellement automatique

Response Body

application/json

application/json

curl -X GET "https://api.mytulip.io/v2/contracts/01CFV26E8TS0U/automaticRenewal/ar_abc123xyz"
{
  "automatic_renewal": {
    "arid": "ar_abc123xyz",
    "cid": "01CFV26E8TS0U",
    "default_application": true,
    "applied": true,
    "applied_at": "2025-01-01T00:00:00.000Z",
    "use_notification": true,
    "duration_months": 0,
    "rejected": true,
    "rejected_at": "2025-01-01T00:00:00.000Z",
    "renewal_scheduled_for": "2025-01-01T00:00:00.000Z",
    "notified": true,
    "notified_at": "2025-01-01T00:00:00.000Z",
    "notification_scheduled_for": "2025-01-01T00:00:00.000Z",
    "extension": 0,
    "next_cid": "01CFV26E8TS0U",
    "created_at": "2025-01-01T00:00:00.000Z",
    "updated_at": "2025-01-01T00:00:00.000Z"
  },
  "status": "success",
  "execution_id": "1234567890"
}
{
  "execution_id": "1234567890",
  "status": "error",
  "type": "bad_request",
  "message": "bad request",
  "error": {
    "code": 1051,
    "message": "Le contrat n'existe pas."
  }
}

Que pensez-vous de cette page ?